apiVersion: apps/v1
kind: Deployment
metadata:
  name: e440-generator
  namespace: works
spec:
  replicas: 1
  selector:
    matchLabels:
      app: e440-generator
  template:
    metadata:
      labels:
        app: e440-generator
    spec:
      containers:
        - name: e440-generator
          image: git.baumann.gr/adebaumann/e440-generator:1.0
          imagePullPolicy: Always
          ports:
            - containerPort: 5000
          resources:
            requests:
              memory: "64Mi"
              cpu: "50m"
            limits:
              memory: "256Mi"
              cpu: "200m"
